URLENCODE(1)

NAME
urlencode - convert strings to or from URL-encoded form

SYNOPSIS
urlencode [-m|-d] string [string ...]

DESCRIPTION
urlencode encodes strings according to RFC 1738.

That is, characters A-Z a-z 0-9 . _ and - are passed through unmodified, but all other characters are represented as %HH, where HH is their two-digit upper-case hexadecimal ASCII representation. For example, the URL http://www.gridpp.ac.uk/ becomes http%3A%2F%2Fwww.gridpp.ac.uk%2F

urlencode converts each character in all the strings given on the command line. If multiple strings are given, they are concatenated with separating spaces before conversion.

OPTIONS

-m  Instead of full conversion, do GridSite "mild URL encoding" in which A-Z a-z 0-9 . = - _ @ and / are passed through unmodified. This results in slightly more human-readable strings but the application must be prepared to create or simulate the directories implied by any slashes.

-d  Do URL-decoding rather than encoding, according to RFC 1738. %HH and %hh strings are converted and other characters are passed through unmodified, with the exception that + is converted to space.

EXIT CODES
0 is always returned.

AUTHOR
Andrew McNab <Andrew.McNab@manchester.ac.uk>

urlencode is part of GridSite: http://www.gridsite.org/